//
//  SovereignStateCurrencies.swift
//  
//
//  Created by Evan Anderson on 7/6/22.
//

import Foundation

internal enum SovereignStateCurrencies {
    static func get(_ country: Country) -> [Currency] {
        switch country {
        case .abkhazia: return [Currency.RUB]
        case .afghanistan: return [Currency.AFN]
        case .albania: return [Currency.ALL]
        case .algeria: return [Currency.DZD]
        case .american_samoa: return [Currency.USD]
        case .andorra: return [Currency.EUR]
        case .angola: return [Currency.AOA]
        case .anguilla: return [Currency.XCD]
        case .antigua_and_barbuda: return [Currency.XCD]
        case .argentina: return [Currency.ARS]
        case .armenia: return [Currency.AMD]
        case .artsakh: return [Currency.AMD]
        case .aruba: return [Currency.AWG]
        case .australia: return [Currency.AUD]
        case .austria: return [Currency.EUR]
        case .azerbaijan: return [Currency.AZN]

        case .bahamas: return [Currency.BSD]
        case .bahrain: return [Currency.BHD]
        case .bangladesh: return [Currency.BDT]
        case .barbados: return [Currency.BBD]
        case .belarus: return [Currency.BYN]
        case .belgium: return [Currency.EUR]
        case .belize: return [Currency.BZD]
        case .benin: return [Currency.XOF]
        case .bermuda: return [Currency.BMD]
        case .bhutan: return [Currency.BTN, Currency.INR]
        case .bolivia: return [Currency.BOB, Currency.BOV]
        case .bosnia_and_herzegovina: return [Currency.BAM]
        case .botswana: return [Currency.BWP]
        case .brazil: return [Currency.BRL]
        case .british_virgin_islands: return [Currency.USD]
        case .brunei: return [Currency.BND, Currency.SGD]
        case .bulgaria: return [Currency.BGN]
        case .burkina_faso: return [Currency.XOF]
        case .burundi: return [Currency.BIF]

        case .cape_verde: return [Currency.CVE]
        case .cambodia: return [Currency.KHR]
        case .cameroon: return [Currency.XAF]
        case .canada: return [Currency.CAD]
        case .cayman_islands: return [Currency.KYD]
        case .central_african_republic: return [Currency.XAF]
        case .chad: return [Currency.XAF]
        case .chile: return [Currency.CLF, Currency.CLP]
        case .china: return [Currency.CNY]
        case .colombia: return [Currency.COP, Currency.COU]
        case .comoros: return [Currency.KMF]
        case .cook_islands: return [Currency.CKD, Currency.NZD]
        case .costa_rica: return [Currency.CRC]
        case .croatia: return [Currency.HRK]
        case .cuba: return [Currency.CUC, Currency.CUP]
        case .cyprus: return [Currency.EUR]
        case .czech_republic: return [Currency.CZK]

        case .democratic_republic_of_the_congo: return [Currency.CDF]
        case .denmark: return [Currency.DKK]
        case .djibouti: return [Currency.DJF]
        case .dominica: return [Currency.XCD]
        case .dominican_republic: return [Currency.DOP]

        case .ecuador: return [Currency.USD]
        case .egypt: return [Currency.EGP]
        case .el_salvador: return [Currency.SVC, Currency.USD]
        case .eritrea: return [Currency.ERN]
        case .estonia: return [Currency.EUR]
        case .eswatini: return [Currency.SZL, Currency.ZAR]
        case .ethiopia: return [Currency.ETB]

        case .falkland_islands: return [Currency.FKP]
        case .faroe_islands: return [Currency.DKK, Currency.FOK]
        case .fiji: return [Currency.FJD]
        case .finland: return [Currency.EUR]
        case .france: return [Currency.EUR]

        case .gabon: return [Currency.XAF]
        case .gambia: return [Currency.GMD]
        case .georgia: return [Currency.GEL]
        case .germany: return [Currency.EUR]
        case .ghana: return [Currency.GHS]
        case .gibraltar: return [Currency.GIP]
        case .greece: return [Currency.EUR]
        case .greenland: return [Currency.DKK]
        case .grenada: return [Currency.XCD]
        case .guadeloupe: return [Currency.EUR]
        case .guam: return [Currency.USD]
        case .guatemala: return [Currency.GTQ]
        case .guernsey: return [Currency.GGP, Currency.GBP]
        case .guinea: return [Currency.GNF]
        case .guinea_bissau: return [Currency.XOF]
        case .guyana: return [Currency.GYD]

        case .haiti: return [Currency.HTG]
        case .honduras: return [Currency.HNL]
        case .hong_kong: return [Currency.HKD]
        case .hungary: return [Currency.HUF]

        case .iceland: return [Currency.ISK]
        case .india: return [Currency.INR]
        case .indonesia: return [Currency.IDR]
        case .iran: return [Currency.IRR]
        case .iraq: return [Currency.IQD]
        case .ireland: return [Currency.EUR]
        case .israel: return [Currency.ILS]
        case .italy: return [Currency.EUR]
        case .ivory_coast: return [Currency.XOF]

        case .jamaica: return [Currency.JMD]
        case .japan: return [Currency.JPY]
        case .jersey: return [Currency.JEP, Currency.GBP]
        case .jordan: return [Currency.JOD]

        case .kazakhstan: return [Currency.KZT]
        case .kenya: return [Currency.KES]
        case .kiribati: return [Currency.KID, Currency.AUD]
        case .kuwait: return [Currency.KWD]
        case .kyrgyzstan: return [Currency.KGS]

        case .laos: return [Currency.LAK]
        case .latvia: return [Currency.EUR]
        case .lebanon: return [Currency.LSL]
        case .lesotho: return [Currency.ZAR, Currency.LSL]
        case .liberia: return [Currency.LRD]
        case .libya: return [Currency.LYD]
        case .liechtenstein: return [Currency.CHW]
        case .lithuania: return [Currency.EUR]
        case .luxembourg: return [Currency.EUR]

        case .macau: return [Currency.MOP, Currency.HKD]
        case .madagascar: return [Currency.MGA]
        case .malawi: return [Currency.MWK]
        case .malaysia: return [Currency.MYR]
        case .maldives: return [Currency.MVR]
        case .mali: return [Currency.XOF]
        case .malta: return [Currency.EUR]
        case .marshall_islands: return [Currency.USD]
        case .mauritania: return [Currency.MRU]
        case .mauritius: return [Currency.MUR]
        case .mexico: return [Currency.MXN, Currency.MXV]
        case .micronesia: return [Currency.USD]
        case .moldova: return [Currency.MDL]
        case .monaco: return [Currency.EUR]
        case .mongolia: return [Currency.MNT]
        case .montenegro: return [Currency.EUR]
        case .montserrat: return [Currency.XCD]
        case .morocco: return [Currency.MAD]
        case .mozambique: return [Currency.MZN]
        case .myanmar: return [Currency.MMK]

        case .nauru: return [Currency.AUD]
        case .namibia: return [Currency.ZAR, Currency.NAD]
        case .nepal: return [Currency.NPR]
        case .netherlands: return [Currency.EUR]
        case .new_zealand: return [Currency.NZD]
        case .nicaragua: return [Currency.NIO]
        case .niger: return [Currency.XOF]
        case .nigeria: return [Currency.NGN]
        case .niue: return [Currency.NZD]
        case .norfolk_island: return [Currency.AUD]
        case .north_korea: return [Currency.KPW]
        case .north_macedonia: return [Currency.MKD]
        case .northern_mariana_islands: return [Currency.USD]
        case .norway: return [Currency.NOK]

        case .oman: return [Currency.OMR]

        case .pakistan: return [Currency.PKR]
        case .palau: return [Currency.USD]
        case .palestine: return [Currency.ILS, Currency.JOD]
        case .panama: return [Currency.PAB, Currency.USD]
        case .papua_new_guinea: return [Currency.PGK]
        case .paraguay: return [Currency.PYG]
        case .peru: return [Currency.PEN]
        case .philippines: return [Currency.PHP]
        case .poland: return [Currency.PLN]
        case .portugal: return [Currency.EUR]
        case .puerto_rico: return [Currency.USD]

        case .qatar: return [Currency.QAR]

        case .republic_of_the_congo: return [Currency.XAF]
        case .romania: return [Currency.RON]
        case .russia: return [Currency.RUB]
        case .rwanda: return [Currency.RWF]

        case .saint_barthelemy: return [Currency.EUR]
        case .saint_helena_ascension_and_tristan_da_cunha: return [Currency.SHP]
        case .saint_kitts_and_nevis: return [Currency.XCD]
        case .saint_lucia: return [Currency.XCD]
        case .saint_martin: return [Currency.EUR]
        case .saint_pierre_and_miquelon: return [Currency.EUR]
        case .saint_vincent_and_the_grenadines: return [Currency.XCD]
        case .samoa: return [Currency.WST]
        case .san_marino: return [Currency.EUR]
        case .sao_tome_and_principe: return [Currency.STN]
        case .saudi_arabia: return [Currency.SAR]
        case .senegal: return [Currency.XOF]
        case .serbia: return [Currency.RSD]
        case .seychelles: return [Currency.SCR]
        case .sierra_leone: return [Currency.SLL]
        case .singapore: return [Currency.SGD, Currency.BND]
        case .slovakia: return [Currency.EUR]
        case .slovenia: return [Currency.EUR]
        case .solomon_islands: return [Currency.SBD]
        case .somalia: return [Currency.SOS]
        case .south_africa: return [Currency.ZAR]
        case .south_korea: return [Currency.KRW]
        case .south_sudan: return [Currency.SSP]
        case .spain: return [Currency.EUR]
        case .sri_lanka: return [Currency.LKR]
        case .sudan: return [Currency.SDG]
        case .suriname: return [Currency.SRD]
        case .sweden: return [Currency.SEK]
        case .switzerland: return [Currency.CHE, Currency.CHW, Currency.CHF]
        case .syria: return [Currency.SYP]

        case .taiwan: return [Currency.TWD]
        case .tajikistan: return [Currency.TJS]
        case .tanzania: return [Currency.TZS]
        case .thailand: return [Currency.THB]
        case .timor_leste: return [Currency.USD]
        case .togo: return [Currency.XOF]
        case .tokelau: return [Currency.NZD]
        case .tonga: return [Currency.TOP]
        case .transnistria: return [Currency.PRB]
        case .trinidad_and_tobago: return [Currency.TTD]
        case .tunisia: return [Currency.TND]
        case .turkey: return [Currency.TRY]
        case .turkmenistan: return [Currency.TMT]
        case .turks_and_caicos_islands: return [Currency.USD]
        case .tuvalu: return [Currency.AUD, Currency.TVD]

        case .uganda: return [Currency.UGX]
        case .ukraine: return [Currency.UAH]
        case .united_arab_emirates: return [Currency.AED]
        case .united_kingdom: return [Currency.GBP]
        case .united_states: return [Currency.USN, Currency.USD]
        case .uruguay: return [Currency.UYI, Currency.UYU, Currency.UYW]
        case .uzbekistan: return [Currency.UZS]
        case .vanuatu: return [Currency.VUV]
        case .venezuela: return [Currency.VED, Currency.VES]
        case .vietnam: return [Currency.VND]
        case .yemen: return [Currency.YER]
        case .zambia: return [Currency.ZMW]
        case .zimbabwe: return [Currency.ZWL]

        case .vatican_city: return [Currency.EUR]

        case .wallis_and_futuna: return [Currency.XPF]
        case .western_sahara: return [Currency.MAD]
            
        case .curacao: return [Currency.ANG]
        case .equatorial_guinea: return [Currency.XAF]
        case .french_polynesia: return [Currency.XPF]
        case .isle_of_man: return [Currency.GBP]
        case .kosovo: return [Currency.EUR]
        case .new_caledonia: return [Currency.XPF]
        case .northern_cyprus: return [Currency.TRY]
        case .scotland: return [Currency.GBP]
        case .somaliland: return [Currency.SLS]
        case .united_states_virgin_islands: return [Currency.USN, Currency.USD]
        }
    }
}
