//
//  SovereignStateISOAlpha3.swift
//  
//
//  Created by Evan Anderson on 6/14/22.
//

import Foundation

internal enum SovereignStateISOAlpha3 {
    static func get(_ country: Country) -> String? {
        switch country {
        case .abkhazia: return nil
        case .artsakh: return nil
        case .kosovo: return nil
        case .northern_cyprus: return nil
        case .scotland: return nil
        case .somaliland: return nil
        case .transnistria: return nil
            
        case .aruba: return "ABW"
        case .afghanistan: return "AFG"
        case .angola: return "AGO"
        case .anguilla: return "AIA"
        //case .ALAND_ISLANDS: return "ALA"
        case .albania: return "ALB"
        case .algeria: return "DZA"
        case .andorra: return "AND"
        case .argentina: return "ARG"
        case .armenia: return "ARM"
        case .american_samoa: return "ASM"
        //case .ANTARCTICA: return "ATA"
        case .antigua_and_barbuda: return "ATG"
        case .australia: return "AUS"
        case .austria: return "AUT"
        case .azerbaijan: return "AZE"

        case .burundi: return "BDI"
        case .belgium: return "BEL"
        case .benin: return "BEN"
        case .burkina_faso: return "BFA"
        case .bangladesh: return "BGD"
        case .bulgaria: return "BGR"
        case .bahrain: return "BHR"
        case .bahamas: return "BHS"
        case .bosnia_and_herzegovina: return "BIH"
        case .belarus: return "BLR"
        case .belize: return "BLZ"
        case .bermuda: return "BMU"
        case .bolivia: return "BOL"
        case .brazil: return "BRA"
        case .barbados: return "BRB"
        case .british_virgin_islands: return "VGB"
        case .brunei: return "BRN"
        case .bhutan: return "BTN"
        //case .BOUVET_ISLAND: return "BVT"
        case .botswana: return "BWA"

        case .central_african_republic: return "CAF"
        case .cambodia: return "KHM"
        case .canada: return "CAN"
        //case .COCOS_ISLANDS: return "CCK"
        case .chad: return "TCD"
        case .chile: return "CHL"
        case .china: return "CHN"
        case .cameroon: return "CMR"
        case .democratic_republic_of_the_congo: return "COD"
        case .republic_of_the_congo: return "COG"
        case .cook_islands: return "COK"
        case .colombia: return "COL"
        case .comoros: return "COM"
        case .cape_verde: return "CPV"
        case .costa_rica: return "CRI"
        case .cuba: return "CUB"
        case .curacao: return "CUW"
        //case .CHRISTMAS_ISLAND: return "CXR"
        case .cayman_islands: return "CYM"
        case .croatia: return "HRV"
        case .cyprus: return "CYP"
        case .czech_republic: return "CZE"

        case .denmark: return "DNK"
        case .djibouti: return "DJI"
        case .dominica: return "DMA"
        case .dominican_republic: return "DOM"

        case .ecuador: return "ECU"
        case .egypt: return "EGY"
        case .el_salvador: return "SLV"
        case .equatorial_guinea: return "GNQ"
        case .eritrea: return "ERI"
        case .estonia: return "EST"
        case .eswatini: return "SWZ"
        case .ethiopia: return "ETH"
        
        case .falkland_islands: return "FLK"
        case .faroe_islands: return "FRO"
        case .finland: return "FIN"
        case .fiji: return "FJI"
        case .france: return "FRA"
        case .french_polynesia: return "PYF"

        case .gabon: return "GAB"
        case .gambia: return "GMB"
        case .georgia: return "GEO"
        case .germany: return "DEU"
        case .ghana: return "GHA"
        case .gibraltar: return "GIB"
        case .greece: return "GRC"
        case .greenland: return "GRL"
        case .grenada: return "GRD"
        case .guadeloupe: return "GLP"
        case .guam: return "GUM"
        case .guatemala: return "GTM"
        case .guernsey: return "GGY"
        case .guinea: return "GIN"
        case .guinea_bissau: return "GNB"
        case .guyana: return "GUY"

        case .haiti: return "HTI"
        case .honduras: return "HND"
        case .hong_kong: return "HKG"
        case .hungary: return "HUN"

        case .iceland: return "ISL"
        case .india: return "IND"
        case .indonesia: return "IDN"
        case .iran: return "IRN"
        case .iraq: return "IRQ"
        case .ireland: return "IRL"
        case .israel: return "ISR"
        case .isle_of_man: return "IMN"
        case .italy: return "ITA"
        case .ivory_coast: return "CIV"

        case .jamaica: return "JAM"
        case .japan: return "JPN"
        case .jersey: return "JEY"
        case .jordan: return "JOR"

        case .kazakhstan: return "KAZ"
        case .kenya: return "KEN"
        case .kiribati: return "KIR"
        case .kuwait: return "KWT"
        case .kyrgyzstan: return "KGZ"

        case .laos: return "LAO"
        case .latvia: return "LVA"
        case .lebanon: return "LBN"
        case .lesotho: return "LSO"
        case .liberia: return "LBR"
        case .libya: return "LBY"
        case .liechtenstein: return "LIE"
        case .lithuania: return "LTU"
        case .luxembourg: return "LUX"

        case .macau: return "MAC"
        case .madagascar: return "MDG"
        case .malawi: return "MWI"
        case .malaysia: return "MYS"
        case .maldives: return "MDV"
        case .mali: return "MLI"
        case .malta: return "MLT"
        case .marshall_islands: return "MHL"
        case .mauritania: return "MRT"
        case .mauritius: return "MUS"
        case .mexico: return "MEX"
        case .micronesia: return "FSM"
        case .moldova: return "MDA"
        case .monaco: return "MCO"
        case .mongolia: return "MNG"
        case .montenegro: return "MNE"
        case .montserrat: return "MSR"
        case .morocco: return "MAR"
        case .mozambique: return "MOZ"
        case .myanmar: return "MMR"

        case .namibia: return "NAM"
        case .nauru: return "NRU"
        case .nepal: return "NPL"
        case .netherlands: return "NLD"
        case .new_caledonia: return "NCL"
        case .new_zealand: return "NZL"
        case .nicaragua: return "NIC"
        case .niger: return "NER"
        case .nigeria: return "NGA"
        case .niue: return "NIU"
        case .norfolk_island: return "NFK"
        case .north_korea: return "PRK"
        case .north_macedonia: return "MKD"
        case .northern_mariana_islands: return "MNP"
        case .norway: return "NOR"

        case .oman: return "OMN"

        case .pakistan: return "PAK"
        case .panama: return "PAN"
        case .peru: return "PER"
        case .philippines: return "PHL"
        case .palau: return "PLW"
        case .papua_new_guinea: return "PNG"
        case .poland: return "POL"
        case .puerto_rico: return "PRI"
        case .portugal: return "PRT"
        case .paraguay: return "PRY"
        case .palestine: return "PSE"

        case .qatar: return "QAT"

        //case .REUNION: return "REU"
        case .romania: return "ROU"
        case .russia: return "RUS"
        case .rwanda: return "RWA"

        case .saint_barthelemy: return "BLM"
        case .saint_helena_ascension_and_tristan_da_cunha: return "SHN"
        case .saint_kitts_and_nevis: return "KNA"
        case .saint_lucia: return "LCA"
        case .saint_martin: return "MAF"

        case .saint_pierre_and_miquelon: return "SPM"
        case .saint_vincent_and_the_grenadines: return "VCT"
        case .samoa: return "WSM"
        case .san_marino: return "SMR"
        case .sao_tome_and_principe: return "STP"
        case .saudi_arabia: return "SAU"
        case .senegal: return "SEN"
        case .serbia: return "SRB"
        case .seychelles: return "SYC"
        case .sierra_leone: return "SLE"
        case .singapore: return "SGP"
        case .slovakia: return "SVK"
        case .slovenia: return "SVN"
        case .solomon_islands: return "SLB"
        case .somalia: return "SOM"
        case .south_africa: return "ZAF"
        case .south_korea: return "KOR"
        case .south_sudan: return "SSD"
        case .spain: return "ESP"
        case .sri_lanka: return "LKA"
        case .sudan: return "SDN"
        case .suriname: return "SUR"
        case .sweden: return "SWE"
        case .switzerland: return "CHE"
        case .syria: return "SYR"

        case .taiwan: return "TWN"
        case .tajikistan: return "TJK"
        case .tanzania: return "TZA"
        case .thailand: return "THA"
        case .timor_leste: return "TLS"
        case .togo: return "TGO"
        case .tokelau: return "TKL"
        case .tonga: return "TON"
        case .trinidad_and_tobago: return "TTO"
        case .tunisia: return "TUN"
        case .turkey: return "TUR"
        case .turkmenistan: return "TKM"
        case .turks_and_caicos_islands: return "TCA"
        case .tuvalu: return "TUV"

        case .uganda: return "UGA"
        case .ukraine: return "UKR"
        case .united_arab_emirates: return "ARE"
        case .united_kingdom: return "GBR"
        case .united_states: return "USA"
        case .united_states_virgin_islands: return "VIR"
        case .uruguay: return "URY"
        case .uzbekistan: return "UZB"

        case .vanuatu: return "VUT"
        case .vatican_city: return "VAT"
        case .venezuela: return "VEN"
        case .vietnam: return "VNM"

        case .wallis_and_futuna: return "WLF"
        case .western_sahara: return "ESH"

        case .yemen: return "YEM"

        case .zambia: return "ZMB"
        case .zimbabwe: return "ZWE"
        }
    }
}
